GET
https://api.veriko.mx/v1/validations/{id}/cepDownload the official CEP
How-to guide →Downloads the Electronic Payment Receipt (CEP) issued by Banxico for a validation with a valid verdict, or returned when the CEP was downloaded before the return was known.
The default format is xml; format=pdf requests the document as a PDF.
If the receipt, or the requested format, is not available, it responds with an HTTP status 404 (with cep_not_available in the body).
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id* | path | string (uuid) | required | Validation UUID. |
format | query | string | optional | Certificate format: Default: xml |
curl -X GET 'https://api.veriko.mx/v1/validations/{id}/cep' \
-H 'Authorization: Bearer veriko_••••'Python example — coming soon.
JavaScript example — coming soon.
PHP example — coming soon.
| Status | Class | Description | Body |
|---|---|---|---|
| 200 | 2xx | CEP certificate file. Content-Type is application/xml or application/pdf based on the requested format. | Body without schema |
| 400 | 4xx | Format outside the allowlist (invalid_export_format). | ErrorResponse |
| 401 | 4xx | Authentication is required or the provided credentials are invalid. | ErrorResponse |
| 403 | 4xx | Insufficient permissions. | ErrorResponse |
| 404 | 4xx | Validation not found (not_found) or the CEP is not available for this validation (cep_not_available). The latter code is returned when banxico_status is neither valid nor returned or the requested file is missing. | ErrorResponse |
| 410 | 4xx | The validation was purged and this resource no longer exists (validation_purged). | ErrorResponse |
| 422 | 4xx | Invalid UUID in path (invalid_uuid). | ErrorResponse |
| Header | Type | Description |
|---|---|---|
Content-Disposition | string | Download name in the CEP-{validation_id}.{ext} format. |
| Status | Code | Example |
|---|---|---|
| 401 | unauthorized | Invalid or missing authentication credentials. Envelope
|
| 403 | permission_denied | You do not have permission to access this resource. Envelope
|
| 410 | validation_purged | The validation was purged and this resource no longer exists. Envelope
|